#include "MLDWelcome.h"
const char* MLDWelcome::intro_text[] = {
"",
"                             Moonlight Creator",
"",
"                Copyright (C) 1996-1998 by Stephane C.F. Rehel",
"                              2002      by Moonlight|3D Ressurected Team",
"",
"Email: oxygene@studentenbude.ath.cx",
"WWW  : http://www.moonlight3d.net and http://ml3d.sourceforge.net",
"",
"-----------------------------------------------------------------------------",
"",
"Moonlight Creator is an environment dedicated to virtual creation.",
"It is based on OpenGL and does 3D modelling and rendering for now.",
"",
"Moonlight is distributed under the terms of the GNU General Public License.",
"It comes with ABSOLUTELY NO WARRANTY. This is free software, and",
"you are welcome to redistribute it under certain conditions.",
"See the LICENSE file for details.",
"",
"-----------------------------------------------------------------------------",
"Options",
"-----------------------------------------------------------------------------",
"",
"  Run \"moonlight -h\" for displaying the options list.",
"",
"  Interface options are:",
"    -h                This message",
"    -v, --verbose     Verbose mode.",
"    -gamma <gamma>    Specify gamma correction (default is 1)",
"    -mlrc <file>      Specify ML resource file",
"    -fs               Run full-screen (default)",
"    -debug            Don't run full-screen",
"    -display <server> Run on this X server (default is :0)",
"",
"  Moonlight is configured for a gamma value of 1.7. If your Xserver",
"  (or your video driver under Windows) doesn't run with gamma 1.7, you",
"  can emulate this by specifying the option \"-gamma 1.7\"",
"",
"  The \"-mlrc\" option can be useful for Windows users since they don't have",
"  the HOME environment variable defined (most of the time).",
"  See RESOURCE_FILE.",
"",
"",
"-----------------------------------------------------------------------------",
"Note for the Windows version users",
"-----------------------------------------------------------------------------",
"",
"  Moonlight is currently incapable of running with Windows.",
"  I'd be very happy if someone proves me wrong though ;-)",
"",
"-----------------------------------------------------------------------------",
"Note for new users: interface philosophy",
"-----------------------------------------------------------------------------",
"",
"  Moonlight is a full-screen application. You should use at least a",
"  1024x768 screen resolution or higher. It runs with 8 bits displays,",
"  but 16 bits or higher are preferable.",
"",
"  How to use it: the Mode-keys",
"  Clicking on a 3D window does nothing. You have to tell Moonlight to use",
"  a mode. A mode defines the type of action you want to do. Use the mouse",
"  to perform the action. You enter a mode by pressing its associated",
"  mode-key.",
"",
"  Example: The Select mode-key is Space. For selecting an object:",
"    + press Space key,",
"    + select the object with the mouse,",
"    + release Space.",
"",
"    Mode-Key   Action-Type",
"    ~~~~~~~~   ~~~~~~~~~~~",
"    o          Orbit camera about the focus point",
"    p          Walk forward of backward",
"    z          Zoom/Unzoom (Btn2), Pan (Btn1)",
"    Space      Select object (or area for raytracing)",
"    Backspace  Delete object",
"    h          Hide/Unhide object",
"    i          Get object information",
"    d          Duplicate an object",
"    Alt-d      Instantiate an object",
"    f          Set hierarchy (Select child and then its father)",
"    x          Scale selection",
"    Alt-x      Coord. Scaling (Btn1=X,Btn2=Y,Btn3=Z)",
"    c          Rotate selection (get a headache)",
"    Alt-c      Coord. Rotation (Btn1=X,Btn2=Y,Btn3=Z)",
"    v          Translate selection",
"    Alt-v      Coord. Translation (Btn1=X,Btn2=Y,Btn3=Z)",
"    u          Undo (Btn1=undo,Btn3=redo)",
"    r          Refresh screen (no mouse action)",
"    C          Orient Z axis of an object (Btn1=-Z,Btn3=+Z)",
"               (still doesn't work very well...)",
"    t          Tag vertices (Btn1=toggle,Btn2=select,Btn3=unselect)",
"               and go to VERtex modelling.",
"    g          Tag polygon by ray-casting and go to POLygon modelling.",
"               (Btn1=toggle,Btn2=select,Btn3=unselect)",
"    a          Edit object material",
"    ESC        Escape current mode if any.",
"",
"  Careful: you can work on different modelling components:",
"           the object (OBJ), the vertex (VTX) or the polygon (POL).",
"",
"-----------------------------------------------------------------------------",
"Under X-Window: Moonlight and window-managers",
"-----------------------------------------------------------------------------",
"",
"  I suggest you to put Alt-F9 as the iconify'ing key in your window manager",
"  settings. If you're running fvwm or compatible, add to your .fvwmrc,",
"  .fvwm2rc, .fvwm2rc95, .steprc:",
"",
"    Key F9 WISFT12 M Iconify",
"",
"  Since Moonlight is a full screen application, this binding is usefull",
"  when ML freezes in infinite loop or in a heavy computation.",
"",
"  About Enlightenment: this window manager seems not to allow fullscreen",
"  application. To be followed after the next release of this",
"  great environment (May 28 1998).",
"",
"  Don't forget that Moonlight removes key auto-repeat on your X server.",
"  If it is abnormally killed, use:",
"",
"    xset r",
"",
"  for setting key auto-repeat again.",
"",
"-----------------------------------------------------------------------------",
"Moonlight databases",
"-----------------------------------------------------------------------------",
"",
"  See DATABASES file.",
"",
"-----------------------------------------------------------------------------",
"Development",
"-----------------------------------------------------------------------------",
"",
"  Moonlight Creator is developed under Linux with OpenGL.",
"",
"  About 180K lines of C++, >600 classes.",
"",
"-----------------------------------------------------------------------------",
"COPYRIGHTS",
"-----------------------------------------------------------------------------",
"- TIFF LIBRARY v3.4beta037 COPYRIGHT",
"-",
"- Copyright (c) 1988-1995 Sam Leffler",
"- Copyright (c) 1991-1995 Silicon Graphics, Inc.",
"-",
"- Permission to use, copy, modify, distribute, and sell this software and",
"- its documentation for any purpose is hereby granted without fee, provided",
"- that (i) the above copyright notices and this permission notice appear in",
"- all copies of the software and related documentation, and (ii) the names of",
"- Sam Leffler and Silicon Graphics may not be used in any advertising or",
"- publicity relating to the software without the specific, prior written",
"- permission of Sam Leffler and Silicon Graphics.",
"-----------------------------------------------------------------------------",
"- JPEG LIBRARY v6a COPYRIGHT",
"-",
"- This software is copyright (C) 1991-1996, Thomas G. Lane.",
"-",
"- Permission is hereby granted to use, copy, modify, and distribute this",
"- software (or portions thereof) for any purpose, without fee, subject to",
"- these conditions:",
"- (1) If any part of the source code for this software is distributed, then",
"-     this README file must be included, with this copyright and no-warranty",
"-     notice unaltered; and any additions, deletions, or changes to the",
"-     original files must be clearly indicated in accompanying documentation.",
"- (2) If only executable code is distributed, then the accompanying",
"-     documentation must state that \"this software is based in part on the",
"-     work of the Independent JPEG Group\".",
"- (3) Permission for use of this software is granted only if the user accepts",
"-     full responsibility for any undesirable consequences; the authors",
"-     accept NO LIABILITY for damages of any kind.",
"-----------------------------------------------------------------------------",
"- PNM WRITER LIBRARY COPYRIGHT, from ImageMagick-3.8.6",
"-",
"- Copyright 1997 E. I. du Pont de Nemours and Company",
"-",
"- Permission to use, copy, modify, distribute, and sell this",
"- software and its documentation for any purpose is hereby",
"- granted without fee, provided that the above copyright notice",
"- appear in all copies and that both that copyright notice and",
"- this permission notice appear in supporting documentation, and",
"- that the name of E. I. du Pont de Nemours and Company not be",
"- used in advertising or publicity pertaining to distribution of",
"- the software without specific, written prior permission.  E.",
"- I. du Pont de Nemours and Company makes no representations",
"- about the suitability of this software for any purpose.  It is",
"- provided \"as is\" without express or implied warranty.",
"-",
"- E. I. du Pont de Nemours and Company disclaims all warranties",
"- with regard to this software, including all implied warranties",
"- of merchantability and fitness, in no event shall E. I. du",
"- Pont de Nemours and Company be liable for any special,",
"- indirect or consequential damages or any damages whatsoever",
"- resulting from loss of use, data or profits, whether in an",
"- action of contract, negligence or other tortious action,",
"- arising out of or in connection with the use or performance of",
"- this software.",
"-----------------------------------------------------------------------------",
0 };
